// -- -- -- -- -- -- -- -- -- -- -- -- -- -- //
// Vertex Shader 
// -- -- -- -- -- -- -- -- -- -- -- -- -- -- //

extern mat4 World;
varying vec3 Normal;
attribute vec3 VertexNormal;
varying vec3 LocalPos;

vec4 position(mat4 transform_projection, vec4 Position) {
    Normal = VertexNormal;
    vec4 Transformed = World * Position;
    vec4 ScreenSpace = transform_projection * Transformed;
    ScreenSpace.z = -ScreenSpace.z;
    LocalPos = vec3(Position);
    return ScreenSpace;
}
